std::chrono::gps_clock(3cxx)

NAME
std::chrono::gps_clock

SYNOPSIS

#include <chrono>

  Public Types

using duration = chrono::duration< rep, period >
using period = system_clock::period
using rep = system_clock::rep
using time_point = chrono::time_point< gps_clock >

  Static Public Member Functions

template<typename _Duration > static gps_time< common_type_t< _Duration, seconds > > from_utc (const utc_time< _Duration > &__t)
static time_point now ()
template<typename _Duration > static utc_time< common_type_t< _Duration, seconds > > to_utc (const gps_time< _Duration > &__t)

  Static Public Attributes

static constexpr bool is_steady

Detailed Description

A clock that measures GPS time.

The epoch is 1980-01-06 00:00:00.

Since
    C++20

Author

Generated automatically by Doxygen for libstdc++ from the source code.